# Uses of Class
org.apache.avro.mapred.AvroMapper

Packages that use AvroMapper
Package
Description
org.apache.avro.mapred
Run Hadoop MapReduce jobs over Avro data, with map and reduce functions written in Java.

## Uses of AvroMapper in org.apache.avro.mapred

Method parameters in org.apache.avro.mapred with type arguments of type AvroMapper
Modifier and Type
Method
Description
`static void`
AvroMultipleInputs.`addInputPath(JobConf conf, Path path, Class<? extends AvroMapper> mapperClass, org.apache.avro.Schema inputSchema)`
Add a `Path` with a custom `Schema` and `AvroMapper` to the list of inputs for the map-reduce job.
`static void`
AvroJob.`setMapperClass(JobConf job, Class<? extends AvroMapper> c)`
Configure a job's mapper implementation.